package market.Mes.Tpm.Design.vo;

import java.util.List;

import market.Com.vo.ComDsnPltlmt;

public class SrRestrict {
	public SrRestrict(List<ComDsnPltlmt> lc) {
		// TODO 自动生成的构造函数存根
		for (ComDsnPltlmt c : lc) {
			if ("1003001".equals(c.getApply_item())) {
				lim_min_height = c.getMin(); // 设备厚度限制
				lim_max_height = c.getMax();
			} else if ("1003002".equals(c.getApply_item())) {
				lim_min_wdt = c.getMin();// 设备原料宽度限制
				lim_max_wdt = c.getMax();
			} else if ("1003003".equals(c.getApply_item())) {
				lim_min_inner = c.getMin();// 设备内径限制
				lim_max_inner = c.getMax();
			} else if ("1003004".equals(c.getApply_item())) {
				lim_min_outter = c.getMin();// 设备外径限制
				lim_max_outter = c.getMax();
			} else if ("1003005".equals(c.getApply_item())) {
				lim_max_wgt = c.getMax();// 退火炉_原料重量范围
				lim_min_wgt = c.getMin();
			} else if ("1003006".equals(c.getApply_item())) {
				lim_min_box_height = c.getMin();// 退火炉_堆垛高度范围
				lim_max_box_height = c.getMax();
			} else if ("1003007".equals(c.getApply_item())) {
				lim_max_box_wgt = c.getMax();// 退火炉_堆垛重量范围
			}

			else if ("3000101".equals(c.getApply_item())) {
				width_rise = c.getMin().intValue();// 宽度晋级值
			} else if ("3000102".equals(c.getApply_item())) {
				outter_rise = c.getMin().intValue();// 外径晋级值
			} else if ("3000103".equals(c.getApply_item())) {
				Cut_Reserve = c.getMin();// 宽度预留
			} else if ("3000104".equals(c.getApply_item())) {
				Cut_Loss = c.getMin();// 切边损
			}
		}
	}

	public double lim_min_height = 0; // 设备厚度限制
	public double lim_max_height = 0;

	public double lim_min_wdt = 0; // 设备原料宽度限制
	public double lim_max_wdt = 0;

	public double lim_min_inner = 0;// 设备内径限制
	public double lim_max_inner = 0;

	public double lim_min_outter = 0; // 设备外径限制
	public double lim_max_outter = 0;

	public double lim_max_wgt = 0; // 设备原料重量范围
	public double lim_min_wgt = 0; 
	
	public double lim_min_sub_thick = 0; // 设备成品厚度限制
	public double lim_max_sub_thick = 0;

	public double lim_min_sub_wdt = 0;// 设备成品宽度限制
	public double lim_max_sub_wdt = 0;

	public double lim_min_sub_length = 0;// 设备子板长度范围
	public double lim_max_sub_length = 0;

	public double lim_min_box_height = 0; // 设备板垛高度范围
	public double lim_max_box_height = 0;

	public double lim_max_box_wgt = 0; // 设备成品最大重量

	public int width_rise = 0;// 宽度晋级值
	public int outter_rise = 0; // 外径晋级值

	public double Cut_Reserve = 0; // 切边预留
	public double Cut_Loss = 0;// 切边损
}
